export const MetaPlugin = (md, { show = true } = {}) => {
    md.block.ruler.before('hr', 'meta', (state, startLine, endLine, silent) => {
        if (startLine !== 0 || state.blkIndent !== 0) {
            return false;
        }
        if (state.tShift[startLine] < 0) {
            return false;
        }
        if (!state.getLines(startLine, startLine + 1, 0, false).match(/^---$/)) {
            return false;
        }
        let line = startLine;
        let matchedEndLine = -1;
        while (line < endLine) {
            line++;
            const str = state.getLines(line, line + 1, 0, false);
            if (str.match(/^---$/)) {
                matchedEndLine = line;
                break;
            }
            if (state.tShift[line] < 0) {
                break;
            }
        }
        if (matchedEndLine > -1) {
            state.line = matchedEndLine + 1;
            if (show) {
                const token = state.push('fence', 'code', 0);
                token.content = state.getLines(startLine + 1, matchedEndLine, 0, true);
                token.map = [startLine, matchedEndLine];
                token.info = 'yml';
                token.markup = '---';
                token.attrPush(['data-yaml-metadata', '']);
            }
            return true;
        }
        return false;
    });
};
//# sourceMappingURL=meta.js.map